Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class MethodSelectionException

This exception is thrown if the runtime is unable to select a method. This class builds the exception text when calling getMessage.
Note: This exception as for internal use only!

author:
  Jochen Theodorou

since:
  Groovy 1.1

Field Summary
`def` | `arguments`
`String` | `methodName`
`FastArray` | `methods`

Constructor Summary
`MethodSelectionException(String methodName, FastArray methods, def arguments)` Creates a new MethodSelectionException.

Method Summary
`void` | `appendClassNames(StringBuffer argBuf, def classes)`
`void` | `appendMethods(StringBuffer buffer)`
`String` | `getMessage()`

Constructor Detail

### MethodSelectionException

    public MethodSelectionException(String methodName, FastArray methods, def arguments)

  Creates a new MethodSelectionException.
  param:
    methodName name of the method
  param:
    methods a FastArray of methods
  param:
    arguments the method call argument classes

Method Detail

### appendClassNames

    void appendClassNames(StringBuffer argBuf, def classes)

### appendMethods

    void appendMethods(StringBuffer buffer)

### getMessage

    public String getMessage()